Attribute VB_Name = "modMain"
'ignitionServices is (C)  Keith Gable, Nigel Jones and Reid Burke.
'----------------------------------------------------
'You must include this notice in any modifications you make. You must additionally
'follow the GPL's provisions for sourcecode distribution and binary distribution.
'If you are not familiar with the GPL, please read LICENSE.TXT.
'(you are welcome to add a "Based On" line above this notice, but this notice must
'remain intact!)
'Released under the GNU General Public License
'Contact information: Keith Gable (Ziggy) <ziggy@ignition-project.com>
'                     Nigel Jones (DigiGuy) <digiguy@ignition-project.com>
'                     Reid Burke  (AirWalk) <airwalk@ignition-project.com>
'
'
' $Id: modMain.bas,v 1.6 2004/10/10 16:50:24 ziggythehamster Exp $
'
'
'This program is free software.
'You can redistribute it and/or modify it under the terms of the
'GNU General Public License as published by the Free Software Foundation; either version 2 of the License,
'or (at your option) any later version.
'
'This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.
'Without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
'See the GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License along with this program.
'if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Option Explicit
Option Base 0

'### BUILD DATE ###
Public Const Version As String = "20041009"

Private Const ICC_USEREX_CLASSES = &H200
Public Declare Function Shell_NotifyIcon Lib "shell32" Alias "Shell_NotifyIconA" (ByVal dwMessage As Long, lpData As NOTIFYICONDATA) As Long
Public Type NOTIFYICONDATA
    cbSize As Long
    hwnd As Long
    uID As Long
    uFlags As Long
    uCallbackMessage As Long
    hIcon As Long
    szTip As String * 64
End Type

'services.conf stuff
Public NickServ As Boolean
Public ChanServ As Boolean
Public MemoServ As Boolean
Public OperServ As Boolean
Public Server As String
Public DisplayName As String
Public Password As String
Public ConnectPort As String
Public Description As String
Public NickServ_VHost As String
Public NickServ_VHostEnable As Boolean
Public NickServ_VHostStyle As Long

'internal stuff
Public OnlineUsers() As String
Public Channels() As ChanData

Public Type ChanData
  Name As String
  Users As String
  Owners As String
  Hosts As String
End Type

Public InTray As Boolean

'A bunch of neccesary constants
Public Const NIM_ADD As Long = &H0
Public Const NIM_DELETE As Long = &H2
Public Const NIM_MODIFY As Long = &H1
Public Const NIF_MESSAGE As Long = &H1
Public Const NIF_ICON As Long = &H2
Public Const NIF_TIP As Long = &H4
Public Const WM_LBUTTONDOWN As Long = &H201
Public Const WM_LBUTTONDBLCLK As Long = &H203
Public Const WM_RBUTTONUP As Long = &H205

Public nidIcon As NOTIFYICONDATA

Public Sub Main()
   ' now start the application
   InternalDebug "*** Started"
   ReDim OnlineUsers(0)
   ReDim Channels(0)
   InternalDebug "*** Loading Main Form..."
   frmMain.Show
   'frmMain.LoadConfiguration
End Sub
Public Function AllBounds(tmpArr() As String) As String
'this is just in case they have ='s in their value
Dim tmpT As String, A As Integer
For A = 1 To UBound(tmpArr)
  tmpT = tmpT & tmpArr(A) & "="
Next A
If Right(tmpT, 1) = "=" Then tmpT = Left(tmpT, Len(tmpT) - 1)
AllBounds = tmpT
End Function
Public Sub InternalDebug(strText As String)
Dim F As Long
F = FreeFile
Open App.Path & "\debug.txt" For Append As F
Print #F, "[" & Now & "] " & strText
Close #F

Debug.Print strText
End Sub
